Skip to main content
List all devices with emission
curl --request GET \
  --url https://api.gocrex.com/api/device-model-emissions \
  --header 'X-API-Key: <api-key>'
[
  {
    "brand": "Apple",
    "footprint_breakdown": {
      "cradle_to_gate": 109.35,
      "end_of_life_processing": 1.35,
      "product_use": 25.65,
      "production": 101.25,
      "transportation": 8.1
    },
    "id": "lap-app-lap-app-m3mba138c8g16c8g",
    "name": "Apple MacBook Air 13 M3 (8C CPU + 8C GPU + 16C NE + 8GB)",
    "product_footprint": 135,
    "product_footprint_unit": "kgCO2e",
    "type": "laptop"
  }
]

Authorizations

X-API-Key
string
header
required

Query Parameters

type
string

device type

brand
string

device brand

Response

DeviceModelListResponse

brand
string

Device model brand

footprint_breakdown
object
id
string

Your device model ID

name
string

Device model name

product_footprint
number

Product footprint

Example:

135

product_footprint_unit
string

Product footprint unit

Example:

"kgCO2e"

type
enum<string>

Device model type

Available options:
laptop,
mobile,
tablet,
monitor,
gaming_console,
headphone